import 'package:dart_json_mapper/dart_json_mapper.dart';

@jsonSerializable
class VgkCardHorizontalSubModel {
  VgkCardHorizontalSubModel({
    this.key,
    this.data,
  });

  String key;

  @JsonProperty(ignoreIfNull: true)
  List<CardHorizontalFirstWithSubDetailModel> data;
}

@jsonSerializable
class CardHorizontalFirstWithSubDetailModel {
  CardHorizontalFirstWithSubDetailModel({
    this.key,
    this.src,
    this.value,
    this.attachements,
  });

  String key;
  String src;
  String value;

  @JsonProperty(ignoreIfNull: true)
  List<CardHorizontalFirstWithSubInfoDetailModel> attachements;
}

@jsonSerializable
class CardHorizontalFirstWithSubInfoDetailModel {
  CardHorizontalFirstWithSubInfoDetailModel({
    this.key,
    this.value,
    this.src,
    this.type,
  });

  String key;
  String value;
  String src;
  String type;
}
