import 'package:dart_json_mapper/dart_json_mapper.dart';

@jsonSerializable
class VgkCardVerticalTopBottomContentModel {
  VgkCardVerticalTopBottomContentModel({
    this.map,
    this.title,
    this.key,
    this.value,
    this.topContent,
    this.bottomContent,
  });

  String map;
  String title;
  String key;
  String value;
  @JsonProperty(ignoreIfNull: true)
  List<VgkCardVerticalTopBottomSubContentModel> topContent;
  @JsonProperty(ignoreIfNull: true)
  List<VgkCardVerticalTopBottomSubContentModel> bottomContent;
}

@jsonSerializable
class VgkCardVerticalTopBottomSubContentModel {
  VgkCardVerticalTopBottomSubContentModel({
    this.key,
    this.value,
  });

  String key;
  String value;
}
